Java.com

Descargar Ayuda

¿Por qué aparece el mensaje Actualización de Java necesaria: La versión de Java está desfasada o La versión de Java no es segura?


Este artículo se aplica a:
  • Versiones de Java: 7.0, 7u10+

Java 7 Update 10 (7u10) y las versiones más recientes incluyen ahora una función que notificará al usuario cuando la versión de Java que se está utilizando esté desfasada o tenga vulnerabilidades de seguridad conocidas. Puede descargar una versión actualizada que soluciona dichas vulnerabilidades.

Cuando se encuentre en una página que incluye una aplicación Java y su versión de Java se considere desfasada, aparecerá el mensaje Actualización de Java necesaria. Le recomendamos que haga clic en Actualizar para abrir la página de descarga de java.com para obtener la versión de Java más reciente. Si hace clic en Bloquear se desactivará el plugin de Java en el explorador y no se podrán ejecutar aplicaciones Java en el explorador hasta que Java se actualice.

Si no puede completar la instalación de Java, se puede producir un problema. Se le redireccionará a Java.com cuando visite una página con una aplicación Java.

Opciones disponibles en el cuadro de diálogo Actualización de Java necesaria

Las versiones de Java anteriores a Java 7 Update 25 (7u25) mostrarán el mensaje La versión de Java no es segura, en lugar de La versión de Java está desfasada.

  • Actualizar
    : si selecciona esta opción, se abrirá el explorador web y le llevará a java.com para obtener la versión de Java más reciente.
  • Bloquear
    Si selecciona esta opción, el plugin de Java se bloqueará en el explorador hasta que actualice a la última versión de Java.
  • Más tarde
    Si selecciona esta opción, el plugin de Java se seguirá cargando. La configuración de seguridad dictará si la aplicación se puede ejecutar.
  • No volver a preguntar
    Si se activa esta casilla de control, el mensaje Actualización de Java necesaria no volverá a aparecer hasta que esté disponible la próxima versión. Las actualizaciones de Java se van realizando a lo largo del año. Las actualizaciones de seguridad están disponibles, como mínimo, 4 veces al año. Si es necesario por problemas de seguridad, se lanzan versiones adicionales.

El formato del mensaje varía en función de los sistemas operativos.

Windows 7, Windows Vista, Windows 8
Windows 8, Windows 7, Vista - Actualización de Java necesaria, Su versión de Java está desfasada. Actualizar (recomendado). Obtener la última actualización de seguridad desde java.com. Bloquear. Bloquear la ejecución de contenido Java en esta sesión del explorador. Más Tarde. Continuar y se le recordará para actualizar de nuevo más tarde.


¿Por qué siempre se me redirecciona a java.com cuando visito una página con una aplicación Java?

El continuo redireccionamiento a java.com era un problema conocido que afectaba a Java 7u25 y versiones anteriores. Este problema se ha corregido en la versión 7u40 de Java.
Instalar la última versión de Java
Para evitar ser redirigido a java.com, descargue Java 7u40 o versiones posteriores de http://java.com


¿Por qué aparece el mensaje 'Su versión de Java está desfasada' si la opción Comprobar actualizaciones automáticamente no está activada en el panel de control de Java?

La opción Comprobar actualizaciones automáticamente del panel de control de Java solo evita que se realicen las comprobaciones semanales y mensuales de disponibilidad de actualizaciones. El hecho de que esta opción no esté activada no evita que en el cuadro de diálogo aparezca el mensaje sobre el desfase en la versión de Java que tenga instalada.


INFORMACIÓN TÉCNICA ADICIONAL

JRE caduca cada vez que hay disponible una nueva versión con correcciones a las vulnerabilidades de seguridad. Las actualizaciones de parches críticos, que contienen correcciones de vulnerabilidades de seguridad, se anuncian con un año de antelación en la sección Critical Patch Updates, Security Alerts and Third Party Bulletin.

Para los sistemas que no se pueden ejecutar en servidores Oracle, un mecanismo secundario se encargará de caducar esta versión de JRE. Una vez se haya cumplido cualquiera de las condiciones (la nueva versión esté disponible o se haya alcanzado la fecha de caducidad) Java enviará mensajes de advertencia y recordatorios sobre la nueva versión. Se recomienda encarecidamente a los usuarios que reciban los mensajes de la fecha de caducidad que actualicen Java a su última versión. Para obtener más información consulte JRE Expire Date (Fecha de Caducidad de JRE). (docs.oracle.com)

Seleccionar idioma | Acerca de Java | Soporte | Desarrolladores
Privacidad | Condiciones de uso | Marcas registradas | Descargo de responsabilidad

Oracle